summaryrefslogtreecommitdiffstats
path: root/scripts/t-rex-64
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/t-rex-64')
-rwxr-xr-xscripts/t-rex-6425
1 files changed, 25 insertions, 0 deletions
diff --git a/scripts/t-rex-64 b/scripts/t-rex-64
new file mode 100755
index 00000000..d33cc3e8
--- /dev/null
+++ b/scripts/t-rex-64
@@ -0,0 +1,25 @@
+#! /bin/bash
+./trex-cfg $@
+RESULT=$?
+if [ $RESULT -ne 0 ]; then
+ exit $RESULT
+fi
+
+
+cd $(dirname $0)
+export LD_LIBRARY_PATH=$PWD
+saveterm="$(stty -g)"
+# if we have a new core run optimized trex
+if cat /proc/cpuinfo | grep -q avx ; then
+ ./_$(basename $0) $@
+ if [ $? -eq 132 ]; then
+ echo " WARNING this program is optimized for the new Intel processors. "
+ echo " try the ./t-rex-64-o application that should work for any Intel processor but might be slower. "
+ echo " try to run t-rex-64-o .. "
+ ./_t-rex-64-o $@
+ fi
+else
+ ./_t-rex-64-o $@
+fi
+stty $saveterm
+